> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/digital-river-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/digital-river-api/developer-resources/digitalrivercheckout.js-reference/digitalrivercheckout-object/determining-the-checkouts-status.md).

# Determining the checkout's status

The [`DigitalRiverCheckout` object](/digital-river-api/developer-resources/digitalrivercheckout.js-reference/digitalrivercheckout-object.md) exposes `getStatus()`. This function can be used to determine the status of a [Prebuilt Checkout](/digital-river-api/integration-options/low-code-checkouts/drop-in-checkout.md#drop-in-checkout-modal-window).

```javascript
const status = drCheckout.getStatus();
```

The function returns a `status` that indicates the state of the `modal` and the customer’s `currentStep` in the experience:

```json
{
    "status": {
        "modal": "active",
        "currentStep": "addressInfo"
    }
}
```

## `modal`

The following are the possible `modal` status values:

* `pending`: The [checkout-session identifier](/digital-river-api/integration-options/low-code-checkouts/drop-in-checkout.md#the-checkout-session-identifier) has not yet been created
* `inactive`: The checkout-session identifier has been created and the modal is initialized
* `active`: The [modal window](/digital-river-api/integration-options/low-code-checkouts/drop-in-checkout.md#drop-in-checkout-modal-window) is displayed to the customer
* `failed`: The modal window cannot be displayed to the customer
* `aborted`: The customer closed the modal window
* `finished`: The customer successfully provided payment and submitted the order

## `currentStep`

The following are the possible `currentStep` values:

* `addressInfo`: The customer is in the [address information collection stage](/digital-river-api/integration-options/low-code-checkouts/drop-in-checkout.md#name-and-address)
* `shippingChoice`: The customer is in the [shipping choice selection stage](/digital-river-api/integration-options/low-code-checkouts/drop-in-checkout.md#shipping-choice)
* `paymentDetails`: The customer is in the [payment collection stage](/digital-river-api/integration-options/low-code-checkouts/drop-in-checkout.md#payment)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/digital-river-api/developer-resources/digitalrivercheckout.js-reference/digitalrivercheckout-object/determining-the-checkouts-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
